<template>
  <div class="user">
    <div class="logo"></div>
    <div class="name">{{ name }} {{ surname }}</div>
    <div class="email">{{ email }}</div>
    <div class="account">{{ account }}</div>
  </div>
</template>

<script lang="ts">
import { Vue } from "vue-class-component";
import { NApi } from "@/interfaces/connector";

export default class NavigationUser extends Vue {
  public name = "";
  public surname = "";
  public email = "";
  public account = "";

  public mounted(): void {
    this.loadFromToken();
  }

  public async loadFromToken(): Promise<void> {
    try {
      const data = await NApi.getUser();

      this.name = data.name;
      this.surname = data.surname;
      this.email = data.email;
      this.account = data.perm;
    } catch (e) {
      console.log(e.errors);
    }
  }
}
</script>

<!-- Add `scoped` attribute to limit CSS to this component only -->
<style scoped lang="scss">
@import "@/styles/globals";

.user {
  padding: 25px;
  text-align: left;

  .logo {
    width: 75px;
    height: 75px;
    background-color: $light_blue;
    margin-bottom: 25px;
  }

  .name,
  .email,
  .account {
    text-align: left;
    color: $black_text;

    margin-bottom: 5px;
  }

  .name {
    font-size: 18px;
    font-weight: bold;
  }

  .email {
    color: $grey_text;
    font-size: 12px;
  }

  .account {
    color: $grey_text;
    font-size: 10px;
  }
}
</style>
